%define ISONAME ISO8859-9
Name: XFree86-%{ISONAME}
Version: 2.1.2
Release: 15mdk
Copyright: MIT
Source: ftp://ftp.itu.edu.tr/pub/linux/system/x11/trXFree86-%{PACKAGE_VERSION}.tar.bz2
Patch0: trXFree86-2.1.2-redhat.patch.bz2
Requires: XFree86 > 3.2
BuildRoot: %{_tmppath}/XFree86-tr-root
BuildArch: noarch
Group: System/Fonts/X11 bitmap
Summary: Turkish language fonts and modmaps for X.
Summary(de): Tuerkische Schriften und modmaps fuer X.
Prereq: chkfontpath

%description
The XFree86-ISO8859-9 package contains Turkish language (ISO8859-9)
terminal fonts, modmaps for the Q and F style of Turkish keyboard
mappings and a simple utility for changing the modmap.

If you need to display Turkish language fonts on your X Window System,
or if you need a to use the Q and F style keyboard mappings, you should
install the XFree86-ISO8859-9 package.  You may also need to install
other XFree86 font packages.  If you're installing the X Window System,
you'll need to install the XFree86 package, the XFree86 video card
package which corresponds to your video card, the X11R6-contrib package,
the Xconfigurator package and the XFree86-libs package.  If you're
going to develop applications that run as X clients, you will also need
to install XFree86-devel.

%description -l de
Das XFree86-ISO8859-9-Paket enthlt trkische Schriften (ISO 8859-9), modmaps
fr Q- und F-Stile der trkischen Tastaturen, und ein einfaches Utility zum
Wechseln der modmap.

%package 75dpi-fonts
Requires: XFree86 > 3.2
Group: System/Fonts/X11 bitmap
Summary: 75 dpi Turkish (ISO8859-9) fonts for X.
Summary(de): 75dpi Tuerkische (ISO8859-9) Schriften fuer X.

%description 75dpi-fonts
The XFree86-ISO8859-9-75dpi-fonts package contains a set of Turkish
language (ISO8859-9) fonts in 75 dpi resolution for the X Window System.

If you need to display Turkish language fonts on your X Window System,
you should install this package.  If your monitor is capable of
supporting 100 dpi resolution, you should instead install the 100 dpi
font package.  You may also need to install one or more of the other
XFree86 fonts packages.  If you're installing the X Window System, you
need to install the XFree86 package, the XFree86 video card package
which corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  Finally, if you
are going to develop applications that will run as X clients, you will
also need to install XFree86-devel.

%description -l de 75dpi-fonts
Das XFree86-ISO8859-9-75dpi-fonts-Paket enthlt trkische (ISO8859-9) Schriften in der 75dpi-Auflsung.

%package 100dpi-fonts
Requires: XFree86 > 3.2
Group: System/Fonts/X11 bitmap
Summary: 100 dpi Turkish (ISO8859-9) fonts for X.
Summary(de): 100dpi tuerkische (ISO8859-9) Schriften fuer X.

%description 100dpi-fonts
The XFree86-ISO8859-9-100dpi-fonts package contains a set of Turkish
language fonts in 100 dpi resolution and in accordance with the
ISO8859-9 standard for the X Window System.

If you need to display Turkish language fonts for the X Window System,
and your monitor is capable of supporting 100 dpi resolution, you should
install this package. You may also need to install one or more of
the other XFree86 fonts packages. To install the X Window System, 
you will need to install the XFree86 package, the XFree86 video card
package which corresponds to your video card, the X11R6-contrib
package, the Xconfigurator package and the XFree86-libs package.

If you are going to develop applications that will run as X clients,
you will also need to install XFree86-devel.

%description -l de 100dpi-fonts
Das XFree86-ISO8859-9-100dpi-fonts-Paket enthlt trkische (ISO8859-9) Schriften
in der 100dpi-Auflsung.

%prep
%setup -q -n trXFree86-%{version}
%patch0 -p1 -b .redhat

%build
PATH="${PATH}:/usr/X11R6/bin" && make all

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT \
	FONTDIR=$RPM_BUILD_ROOT/usr/share/fonts/%{ISONAME}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/misc:unscaled

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/misc:unscaled
fi

%post 75dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/75dpi:unscaled

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/75dpi:unscaled
fi

%post 100dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/100dpi:unscaled

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/100dpi:unscaled
fi

%files
%defattr(-,root,root)
%doc README
#/usr/X11R6/bin/*
/usr/X11R6/lib/X11/etc/*
%dir /usr/share/fonts/%{ISONAME}
/usr/share/fonts/%{ISONAME}/misc

%files 75dpi-fonts
%defattr(-,root,root)
/usr/share/fonts/%{ISONAME}/75dpi

%files 100dpi-fonts
%defattr(-,root,root)
/usr/share/fonts/%{ISONAME}/100dpi

%changelog
* Tue Oct 17 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-15mdk
- fixed fontpaths (bitmap fonts are not scalable)

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.2-14mdk
- BM

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.2-13mdk
- group fix.

* Tue Dec 07 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- add usr/X11R6/bin in path for build stage

* Tue Dec 07 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- build release
- use of _tmppath in buildroot

* Tue May 05 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- add de locale

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- fixed typo in macro.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed some typos.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- made chkfontpath compliant.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- moved fonts to /usr/share/fonts/ISO8859-9, under new font scheme.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- packaged for RH 5.2 (and changed the package quite a bit)
- don't ship xsetmodmap, as it will induce a dependency on tcl/tk I'm not
  sure we really want
- made a noarch package

* Tue Jul 14 1998 H. Turgut Uyar <uyar@cs.itu.edu.tr>
- 2.1.2 srmne gei (modmaplerde dzeltmeler)

* Wed Dec 31 1997 H. Turgut Uyar <uyar@cs.itu.edu.tr>
- 2.1.1 srmne gei

* Tue Dec 23 1997 H. Turgut Uyar <uyar@cs.itu.edu.tr>
- 2.1 srmne gei

* Fri Dec 12 1997 H. Turgut Uyar <uyar@cs.itu.edu.tr>
- 2.0 srmne gei
